[netfilter-cvslog] r3961 - trunk/nfsim-testsuite

rusty at netfilter.org rusty at netfilter.org
Sun Jun 5 06:41:39 CEST 2005


Author: rusty at netfilter.org
Date: 2005-06-05 06:41:35 +0200 (Sun, 05 Jun 2005)
New Revision: 3961

Modified:
   trunk/nfsim-testsuite/test.sh
Log:
Use lower-case for expected failures.
With -v, print more verbose reason we expected failure.
Re-run failed tests with -vv.


Modified: trunk/nfsim-testsuite/test.sh
===================================================================
--- trunk/nfsim-testsuite/test.sh	2005-06-05 03:45:48 UTC (rev 3960)
+++ trunk/nfsim-testsuite/test.sh	2005-06-05 04:41:35 UTC (rev 3961)
@@ -100,10 +100,10 @@
     (while IFS=":" read WHAT VER; do
 	case "$WHAT" in
 	    linux)
-	        LETTER=K
+	        LETTER=k
 		ACTUAL_VER=$KVERSION;;
 	    iptables)
-	        LETTER=I
+	        LETTER=i
 		ACTUAL_VER=$IPTABLES_VERSION;;
 	    config)
 		check_config $VER; exit;;
@@ -221,11 +221,17 @@
 		if [ -z "$VERBOSE" ]; then
 		    echo -n $XFAIL
 		else
-		    echo "Test $f failed as expected (hopefully due to $XFAIL)."
+		    echo "Test $f failed as expected (`echo $XFAIL | sed -e 's/^k$/kernel version/' -e 's/^i$/iptables version/' -e 's/^c$/kernel configuration/'`)."
 		fi
 	    else
-		echo Test $f failed >&2
-		if [ -z "$KEEP_GOING" ]; then exit 1; fi
+		if [ -z "$KEEP_GOING" ]; then
+		    echo Test $f failed, running verbose >&2
+		    case "$f" in
+			*.sh) sh -e -x "$f";;
+			*.sim) $NFSIM -e -x "$f";;
+		    esac
+		    exit 1
+		fi
 		FAILED=1
 	    fi
 	else




More information about the netfilter-cvslog mailing list